/**
 * Licensed to Jasig under one or more contributor license
 * agreements. See the NOTICE file distributed with this work
 * for additional information regarding copyright ownership.
 * Jasig licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a
 * copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.jasig.portlet.weather.domain;

import java.io.Serializable;

/**
 * This class models forecasted weather.
 * 
 * @author Dustin Schultz
 * @version $Id: Forecast.java 22379 2010-11-15 22:19:56Z edalquist $
 */
public class Forecast implements Serializable {

	private static final long serialVersionUID = 7114826846843647795L;
	private String day = null;
	private Integer highTemperature = null;
	private Integer lowTemperature = null;
	private String condition = null;
	private String imgName = null;
	private String imgUrl = null;

	public String getDay() {
		return day;
	}

	public void setDay(String day) {
		this.day = day;
	}

	public Integer getHighTemperature() {
		return highTemperature;
	}

	public void setHighTemperature(Integer highTemperature) {
		this.highTemperature = highTemperature;
	}

	public Integer getLowTemperature() {
		return lowTemperature;
	}

	public void setLowTemperature(Integer lowTemperature) {
		this.lowTemperature = lowTemperature;
	}

	public String getCondition() {
		return condition;
	}

	public void setCondition(String condition) {
		this.condition = condition;
	}

	public String getImgName() {
		return imgName;
	}

	public void setImgName(String imgName) {
		this.imgName = imgName;
	}

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }
	
}
